#!/bin/bash

# Setting up bdsmhypnosisbasement.com/loading directory structure

## This section of the script does not need implimentation

# Setting up www.bdsmhypnosisbasement.com directory structure

cd "/var/www/my_webapp__2/www"
mkdir affiliates
mkdir partnerships
mkdir projects
mkdir staff

# Setting Up cdn.bdsmhypnosisbasement.com directory structure

cd "/var/www/my_webapp__3/www"
mkdir css
mkdir branding
mkdir fonts
mkdir img
    mkdir img/embeds
    mkdir img/favicons
        mkdir img/favicons/android-chrome
        mkdir img/favicons/apple-touch-icons
        mkdir img/favicons/basic
        mkdir img/favicons/mstile
mkdir js

# ============================================================ #

reset

wget https://git.bdsmhypnosisbasement.com/mitsuo_makuda/basement_website/raw/branch/www/www/index.html --output-document /var/www/my_webapp__2/www/index.html

# Affiliates
wget https://git.bdsmhypnosisbasement.com/mitsuo_makuda/basement_website/raw/branch/www/www/affiliates/index.html --output-document /var/www/my_webapp__2/www/affiliates/index.html
wget https://git.bdsmhypnosisbasement.com/mitsuo_makuda/basement_website/raw/branch/www/www/affiliates/lovense.htm --output-document /var/www/my_webapp__2/www/affiliates/lovense.htm
wget https://git.bdsmhypnosisbasement.com/mitsuo_makuda/basement_website/raw/branch/www/www/affiliates/patreon.htm --output-document /var/www/my_webapp__2/www/affiliates/patreon.htm

# Partnerships
wget https://git.bdsmhypnosisbasement.com/mitsuo_makuda/basement_website/raw/branch/www/www/partnerships/index.html --output-document /var/www/my_webapp__2/www/partnerships/index.html
wget https://git.bdsmhypnosisbasement.com/mitsuo_makuda/basement_website/raw/branch/www/www/partnerships/blacklisted-guilds.htm --output-document /var/www/my_webapp__2/partnerships/blacklisted-guilds.htm
wget https://git.bdsmhypnosisbasement.com/mitsuo_makuda/basement_website/raw/branch/www/www/partnerships/rejected-guilds.htm --output-document /var/www/my_webapp__2/www/partnerships/rejected-guilds.htm
wget https://git.bdsmhypnosisbasement.com/mitsuo_makuda/basement_website/raw/branch/www/www/partnerships/standard_partner-guide.htm --output-document /var/www/my_webapp__2/www/partnerships/how-to-partnership_standard.htm
wget https://git.bdsmhypnosisbasement.com/mitsuo_makuda/basement_website/raw/branch/www/www/partnerships/trusted_partner-guide.htm --output-document /var/www/my_webapp__2/www/partnerships/how-to-partner_trusted.htm
wget https://git.bdsmhypnosisbasement.com/mitsuo_makuda/basement_website/raw/branch/www/www/partnerships/standard_partnerships.htm --output-document /var/www/my_webapp__2/partnerships/standard_partnerships.htm
wget https://git.bdsmhypnosisbasement.com/mitsuo_makuda/basement_website/raw/branch/www/www/partnerships/trusted_partnerships.htm --output-document /var/www/my_webapp__2/www/partnerships/trusted_partnerships.htm

# Projects
wget https://git.bdsmhypnosisbasement.com/mitsuo_makuda/basement_website/raw/branch/www/www/projects/index.html --output-document /var/www/my_webapp__2/www/projects/index.html
wget https://git.bdsmhypnosisbasement.com/mitsuo_makuda/basement_website/raw/branch/www/www/projects/custom-bot.htm --output-document /var/www/my_webapp__2/www/projects/custom-bot.htm
wget https://git.bdsmhypnosisbasement.com/mitsuo_makuda/basement_website/raw/branch/www/www/projects/e-learning.htm --output-document /var/www/my_webapp__2/www/projects/e-learning.htm
wget https://git.bdsmhypnosisbasement.com/mitsuo_makuda/basement_website/raw/branch/www/www/projects/groupware.htm --output-document /var/www/my_webapp_2/www/projects/groupware.htm
wget https://git.bdsmhypnosisbasement.com/mitsuo_makuda/basement_website/raw/branch/www/www/projects/software-development.htm --output-document /var/www/my_webapp__2/www/projects/software-development.htm

# Staff
wget https://git.bdsmhypnosisbasement.com/mitsuo_makuda/basement_website/raw/branch/www/www/staff/index.html --output-document /var/www/my_webapp__2/www/staff/index.html
wget https://git.bdsmhypnosisbasement.com/mitsuo_makuda/basement_website/raw/branch/www/www/staff/how-to-become-staff.htm --output-document /var/www/my_webapp__2/www/staff/how-to-become-staff.htm
wget https://git.bdsmhypnosisbasement.com/mitsuo_makuda/basement_website/raw/branch/www/www/staff/meet-our-staff.htm --output-document /var/www/my_webapp__2/www/staff/meet-our-staff.htm
wget https://git.bdsmhypnosisbasement.com/mitsuo_makuda/basement_website/raw/branch/www/www/staff/privacy.htm --output-document /var/www/my_webapp__2/www/staff/privacy.htm
wget https://git.bdsmhypnosisbasement.com/mitsuo_makuda/basement_website/raw/branch/www/www/staff/terms.htm --output-document /var/www/my_webapp__2/www/staff/terms.htm

# Change Ownership
chown --recursive --verbose my_webapp__2:www-data /var/www/my_webapp__2/www/*

# Change Permissions
chmod --recursive --verbose 750 /var/www/my_webapp__2/www/*

## ---------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- ##

reset 

# ============================================================ #

# css
wget https://git.bdsmhypnosisbasement.com/mitsuo_makuda/basement_website/raw/branch/cdn/cdn/css/branding.css --output-document /var/www/my_webapp__3/www/css/branding.css
wget https://git.bdsmhypnosisbasement.com/mitsuo_makuda/basement_website/raw/branch/cdn/cdn/css/mdb.min.css --output-document /var/www/my_webapp__3/www/css/mdb.min.css
wget https://git.bdsmhypnosisbasement.com/mitsuo_makuda/basement_website/raw/branch/cdn/cdn/css/micon.min.css --output-document /var/www/my_webapp__3/www/css/micon.min.css

