# basement_website

This Git repo is used for both the [cdn sub-domain](https://cdn.bdsmhypnosisbasement.com) and the [www sub-domain](https://www.bdsmhypnosisbasement.com/).

## Roadmap

### Version 1

Version 1 is the set up of the `cdn` sub-domain and all of the required files for the primary website to run.

This includes the following;
- [ ] CSS files
    - [ ] ./css/internal-branding.css
    - [ ] ./css/external-branding.css
    - [ ] ./css/mdb-fluent.css
    - [ ] ./css/micon.css
- [ ] IMG files
    - [ ] ./img/embeds
        - [ ] ./img/embeds/00_basement.png
        - [ ] ./img/embeds/01_affiliates.png
        - [ ] ./img/embeds/02_lovense.png
        - [ ] ./img/embeds/03_patreon.png
        - [ ] ./img/embeds/04_partnerships.png
        - [ ] ./img/embeds/05_blacklisted-guilds.png
        - [ ] ./img/embeds/06_standard-partner-guide.png
        - [ ] ./img/embeds/07_trusted-partner-guide.png
        - [ ] ./img/embeds/08_standard-partners.png
        - [ ] ./img/embeds/09_trusted-partners.png
        - [ ] ./img/embeds/10_project-cinnamon.png <!-- Custom Discord Bot -->
        - [ ] ./img/embeds/11_project-homestead.png <!-- Education Self-Hosting -->
        - [ ] ./img/embeds/12_project-firefly.png <!-- Groupware Self-Hosting -->
        - [ ] ./img/embeds/13_project-sandbox.png <!-- Software Development -->
    - [ ] ./img/favicon
        - [ ] ./img/favicon/favicon.ico
        - [ ] ./img/favicon/basic
            - [ ] ./img/favicon/basic/16x16.png
            - [ ] ./img/favicon/basic/32x32.png
            - [ ] ./img/favicon/basic/48x48.png
        - [ ] ./img/favicon/android-chrome
            - [ ] ./img/favicon/android-chrome/36x36.png
            - [ ] ./img/favicon/android-chrome/48x48.png
            - [ ] ./img/favicon/android-chrome/72x72.png
            - [ ] ./img/favicon/android-chrome/96x96.png
            - [ ] ./img/favicon/android-chrome/144x144.png
            - [ ] ./img/favicon/android-chrome/192x192.png
            - [ ] ./img/favicon/android-chrome/256x256.png
            - [ ] ./img/favicon/android-chrome/384x384.png
            - [ ] ./img/favicon/android-chrome/512x512.png
        - [ ] ./img/favicon/apple-touch-icon
            - [ ] ./img/favicon/apple-touch-icon/57x57.png
            - [ ] ./img/favicon/apple-touch-icon/60x60.png
            - [ ] ./img/favicon/apple-touch-icon/72x72.png
            - [ ] ./img/favicon/apple-touch-icon/76x76.png
            - [ ] ./img/favicon/apple-touch-icon/114x114.png
            - [ ] ./img/favicon/apple-touch-icon/120x120.png
            - [ ] ./img/favicon/apple-touch-icon/144x144.png
            - [ ] ./img/favicon/apple-touch-icon/152x152.png
            - [ ] ./img/favicon/apple-touch-icon/180x180.png
        - [ ] ./img/favicon/mstile
            - [ ] ./img/favicon/mstile/70x70.png
            - [ ] ./img/favicon/mstile/150x150.png
            - [ ] ./img/favicon/mstile/310x310.png
            - [ ] ./img/favicon/mstile/310x150.png
- [ ] JS files
    - [ ] ./js
        - [ ] ./js/mdb.min.js

-----